Class | Chef::Cookbook::FileSystemFileVendor
In: | lib/chef/cookbook/file_system_file_vendor.rb
Parent: | FileVendor

## Chef::Cookbook::FileSystemFileVendor

This FileVendor loads files from Chef::Config.cookbook_path. The thing that‘s sort of janky about this FileVendor implementation is that it basically takes only the cookbook‘s name from the manifest and throws the rest away then re-builds the list of files on the disk. This is due to the manifest not having the on-disk file locations, since in the chef-client case, that information is non-sensical.

### Methods

get_filename new

### Public Class methods

new(manifest, *repo_paths)

### Public Instance methods

get_filename(filename)

Implements abstract base‘s requirement. It looks in the Chef::Config.cookbook_path file hierarchy for the requested file.

[Validate]